Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZForumMessage Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| delete ()
& | cloneObject ()
| get ( $id="")
| getAll ()
| id ()
| forumID ()
| setForumID ( $newForumID)
| setIsApproved ( $value)
| setIsTemporary ( $value)
| isApproved ()
| isTemporary ()
& | parent ()
| setParent ( $newParent)
& | topic ( $htmlchars=true)
| name ()
| setTopic (&$newTopic)
& | body ()
| setBody (&$newBody)
| userID ()
| userName ()
| age ()
& | user ()
| setUserName ( $username)
| setUserID ( $newUserID)
| emailNotice ()
| setEmailNotice ( $newEmailNotice)
| depth ()
| enableEmailNotice ()
| disableEmailNotice ()
& | postingTime ()
| threadID ()
| treeID ()
| threadTop (&$msg)
| getAllUnApproved ( $Offset=0, $Limit=10)
| unApprovedCount ()
| getAllTemporary ()

## Static Public Member Functions
static | threadMessageCount ( $threadID)
static | countMessages ( $ID)
static | countReplies ( $ID)
static & | lastMessages ( $limit, $user=false, $userid=false)

## Public Attributes
| $ID
| $ForumID
| $ParentID
| $Topic
| $Body
| $UserID
| $PostingTime
| $EmailNotice
| $IsApproved
| $IsTemporary
| $UserName
| $Age
| Number of seconds since the message was posted. More...
| $TreeID
| indicates the position in the tree. More...
| $ThreadID
| $Depth
| $Keywords

## Private Member Functions
| createIndex ()

## Detailed Description

! eZForum The eZForumMessage handles a forum message in the database.

Handles messages in forums..

TODO

Definition at line 41 of file ezforummessage.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZForumMessage::__construct | ( |  | $id = `""` | ) |

Constructs a new eZForumMessage object.

Definition at line 46 of file ezforummessage.php.

References $id.

## Member Function Documentation

## ◆ age()

eZForumMessage::age | ( |  | ) |

Returns the number of seconds since the message was posted.

Definition at line 653 of file ezforummessage.php.

References $Age.

## ◆ body()

& eZForumMessage::body | ( |  | ) |

Returns the body of the forum message.

Definition at line 611 of file ezforummessage.php.

References $Body.

## ◆ cloneObject()

& eZForumMessage::cloneObject | ( |  | ) |

Clones this eZForumMessage object.

Definition at line 265 of file ezforummessage.php.

References $tmp.

## ◆ countMessages()

static eZForumMessage::countMessages | ( |  | $ID | ) |
| static

Returns the number of messages.

Definition at line 783 of file ezforummessage.php.

References $db, and eZDB\globalDatabase().

## ◆ countReplies()

static eZForumMessage::countReplies | ( |  | $ID | ) |
| static

Definition at line 799 of file ezforummessage.php.

References $db, and eZDB\globalDatabase().

## ◆ createIndex()

eZForumMessage::createIndex | ( |  | ) |
| private

will index the article keywords (fetched from Contents) and name for fulltext search.

Definition at line 353 of file ezforummessage.php.

References $Body, $contents, $count, $db, $messageCount, $query, $ret, $Topic, eZDB\finish(), and eZDB\globalDatabase().

Referenced by store().

## ◆ delete()

eZForumMessage::delete | ( |  | ) |

Deletes a eZForumCategory object from the database.

Definition at line 253 of file ezforummessage.php.

References $db, and eZDB\globalDatabase().

## ◆ depth()

eZForumMessage::depth | ( |  | ) |

Returns the depth of the message.

Definition at line 707 of file ezforummessage.php.

References $Depth.

## ◆ disableEmailNotice()

eZForumMessage::disableEmailNotice | ( |  | ) |

Disables email notice.

Definition at line 723 of file ezforummessage.php.

References setEmailNotice().

## ◆ emailNotice()

eZForumMessage::emailNotice | ( |  | ) |

Returns true if the poster should receive email notice.

Definition at line 684 of file ezforummessage.php.

References $ret.

## ◆ enableEmailNotice()

eZForumMessage::enableEmailNotice | ( |  | ) |

Enabled email notice.

Definition at line 715 of file ezforummessage.php.

References setEmailNotice().

## ◆ forumID()

eZForumMessage::forumID | ( |  | ) |

Returns the forum id.

Definition at line 491 of file ezforummessage.php.

References $ForumID.

## ◆ get()

eZForumMessage::get | ( |  | $id = `""` | ) |

Fetches the object information from the database.

Definition at line 275 of file ezforummessage.php.

References $db, $id, $ret, and eZDB\globalDatabase().

## ◆ getAll()

eZForumMessage::getAll | ( |  | ) |

Returns every message as an array of eZForumCategory objects.

Definition at line 329 of file ezforummessage.php.

References $db, $message, $ret, and eZDB\globalDatabase().

## ◆ getAllTemporary()

eZForumMessage::getAllTemporary | ( |  | ) |

Get all the messages which is not approved

Definition at line 869 of file ezforummessage.php.

References $db, $message, $ret, and eZDB\globalDatabase().

## ◆ getAllUnApproved()

eZForumMessage::getAllUnApproved | ( |  | $Offset = `0`,
|  |  | $Limit = `10`
| ) |  |

Get all the messages which is not approved

Definition at line 836 of file ezforummessage.php.

References $db, $Limit, $message, $Offset, $ret, and eZDB\globalDatabase().

## ◆ id()

eZForumMessage::id | ( |  | ) |

Returns the object id.

Definition at line 483 of file ezforummessage.php.

References $ID.

## ◆ isApproved()

eZForumMessage::isApproved | ( |  | ) |

Returns true if the message is approved.

Definition at line 531 of file ezforummessage.php.

## ◆ isTemporary()

eZForumMessage::isTemporary | ( |  | ) |

Returns true if the message is a temporary item.

Definition at line 542 of file ezforummessage.php.

## ◆ lastMessages()

static& eZForumMessage::lastMessages | ( |  | $limit,
|  |  | $user = `false`,
|  |  | $userid = `false`
| ) |  |
| static

Returns the last n forum messages.

The returned array has the following values array( "ID" => $id, "Topic" => $topic );

Definition at line 892 of file ezforummessage.php.

References $db, $group, $groups, $limit, $ret, $user, eZUser\currentUser(), and eZDB\globalDatabase().

## ◆ name()

eZForumMessage::name | ( |  | ) |

Same as topic()

Definition at line 593 of file ezforummessage.php.

## ◆ parent()

& eZForumMessage::parent | ( |  | ) |

Returns the parent message.

If the message is a top level message false is returned.

Definition at line 555 of file ezforummessage.php.

References $ret.

## ◆ postingTime()

& eZForumMessage::postingTime | ( |  | ) |

Returns the postimg time as a eZTimeDate object.

Definition at line 732 of file ezforummessage.php.

References $dateTime.

## ◆ setBody()

eZForumMessage::setBody | ( | & | $newBody | ) |

Sets the body contents.

Definition at line 628 of file ezforummessage.php.

## ◆ setEmailNotice()

eZForumMessage::setEmailNotice | ( |  | $newEmailNotice | ) |

Set to true if the po

Definition at line 696 of file ezforummessage.php.

Referenced by disableEmailNotice(), and enableEmailNotice().

## ◆ setForumID()

eZForumMessage::setForumID | ( |  | $newForumID | ) |

Definition at line 499 of file ezforummessage.php.

## ◆ setIsApproved()

eZForumMessage::setIsApproved | ( |  | $value | ) |

Sets the message to be approved or not.

Definition at line 507 of file ezforummessage.php.

## ◆ setIsTemporary()

eZForumMessage::setIsTemporary | ( |  | $value | ) |

Sets the message to be temporary or not.

Definition at line 519 of file ezforummessage.php.

## ◆ setParent()

eZForumMessage::setParent | ( |  | $newParent | ) |

Definition at line 568 of file ezforummessage.php.

## ◆ setTopic()

eZForumMessage::setTopic | ( | & | $newTopic | ) |

Sets the message topic.

Definition at line 602 of file ezforummessage.php.

## ◆ setUserID()

eZForumMessage::setUserID | ( |  | $newUserID | ) |

Sets the user id.

Definition at line 676 of file ezforummessage.php.

## ◆ setUserName()

eZForumMessage::setUserName | ( |  | $username | ) |

Definition at line 668 of file ezforummessage.php.

## ◆ store()

eZForumMessage::store | ( |  | ) |

Stores a eZForumMessage object to the database.

Definition at line 65 of file ezforummessage.php.

References $db, $query, $res, $result, $topic, createIndex(), and eZDB\globalDatabase().

## ◆ threadID()

eZForumMessage::threadID | ( |  | ) |

Returns the threadID. Each new posting to a forum creates a new thread. Every reply to that message belongs to the same thread.

Definition at line 746 of file ezforummessage.php.

References $ThreadID.

## ◆ threadMessageCount()

static eZForumMessage::threadMessageCount | ( |  | $threadID | ) |
| static

Returns the number of messages in the given thread.

Definition at line 765 of file ezforummessage.php.

References $db, and eZDB\globalDatabase().

## ◆ threadTop()

eZForumMessage::threadTop | ( | & | $msg | ) |

Returns the first message in a thread as a eZForumMessage object.

warning* This function is recursive!

Definition at line 814 of file ezforummessage.php.

References $db, $msg, $ret, and eZDB\globalDatabase().

## ◆ topic()

& eZForumMessage::topic | ( |  | $htmlchars = `true` | ) |

Returns the topic of the message.

Definition at line 576 of file ezforummessage.php.

References $Topic.

## ◆ treeID()

eZForumMessage::treeID | ( |  | ) |

Returns the treeID. The tree id is an integer which indicates the position of the message in the forum. Higher number is newer/higher up in the tree. 0 is the first message.

Definition at line 757 of file ezforummessage.php.

References $TreeID.

## ◆ unApprovedCount()

eZForumMessage::unApprovedCount | ( |  | ) |

Returns the number of unapproved messages.

Definition at line 857 of file ezforummessage.php.

References $db, and eZDB\globalDatabase().

## ◆ user()

& eZForumMessage::user | ( |  | ) |

Returns the user as a eZUser object.

Definition at line 661 of file ezforummessage.php.

References $owner.

## ◆ userID()

eZForumMessage::userID | ( |  | ) |

Returns the user id.

Definition at line 636 of file ezforummessage.php.

References $UserID.

## ◆ userName()

eZForumMessage::userName | ( |  | ) |

Definition at line 641 of file ezforummessage.php.

References $UserName.

## Member Data Documentation

## ◆ $Age

eZForumMessage::$Age

Number of seconds since the message was posted.

Definition at line 946 of file ezforummessage.php.

Referenced by age().

## ◆ $Body

eZForumMessage::$Body

Definition at line 937 of file ezforummessage.php.

Referenced by body(), and createIndex().

## ◆ $Depth

eZForumMessage::$Depth

Definition at line 955 of file ezforummessage.php.

Referenced by depth().

## ◆ $EmailNotice

eZForumMessage::$EmailNotice

Definition at line 940 of file ezforummessage.php.

## ◆ $ForumID

eZForumMessage::$ForumID

Definition at line 934 of file ezforummessage.php.

Referenced by forumID().

## ◆ $ID

eZForumMessage::$ID

Definition at line 933 of file ezforummessage.php.

Referenced by id().

## ◆ $IsApproved

eZForumMessage::$IsApproved

Definition at line 941 of file ezforummessage.php.

## ◆ $IsTemporary

eZForumMessage::$IsTemporary

Definition at line 942 of file ezforummessage.php.

## ◆ $Keywords

eZForumMessage::$Keywords

Definition at line 957 of file ezforummessage.php.

## ◆ $ParentID

eZForumMessage::$ParentID

Definition at line 935 of file ezforummessage.php.

## ◆ $PostingTime

eZForumMessage::$PostingTime

Definition at line 939 of file ezforummessage.php.

## ◆ $ThreadID

eZForumMessage::$ThreadID

Definition at line 952 of file ezforummessage.php.

Referenced by threadID().

## ◆ $Topic

eZForumMessage::$Topic

Definition at line 936 of file ezforummessage.php.

Referenced by createIndex(), and topic().

## ◆ $TreeID

eZForumMessage::$TreeID

indicates the position in the tree.

Definition at line 949 of file ezforummessage.php.

Referenced by treeID().

## ◆ $UserID

eZForumMessage::$UserID

Definition at line 938 of file ezforummessage.php.

Referenced by userID().

## ◆ $UserName

eZForumMessage::$UserName

Definition at line 943 of file ezforummessage.php.

Referenced by userName().

The documentation for this class was generated from the following file:

- ezforummessage.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.